# BubbleSort [![Build Status](https://travis-ci.org/bubble-sort/bubble-sort.svg?branch=master)](https://travis-ci.org/bubble-sort/bubble-sort)

A bubble sort implementation written with Ruby

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'bubble_sort'
```

And then execute:

```sh
bundle install
```

Or install it yourself as:

```sh
gem install bubble_sort
```

## Usage

```rb
require 'bubble_sort'

# Notice that array is sorted IN-PLACE
array = [2, 3, 1]
BubbleSort.bubble_sort array
# array == [1, 2, 3]
```

## Development

After checking out the repo, run `bin/setup` to install dependencies.
Then, run `bundle exec rake spec` to run the tests.
After then, run `bundle exec rake lint` to run Rubocop.
You can also run `bundle exec rake` to run both.

Put your Ruby code in the file `lib/bubble_sort`.
To experiment with that code, run `bin/console` for an interactive prompt.

To install this gem onto your local machine, run `bundle exec rake install`.
To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at [https://github.com/bubble-sort/bubble-sort](https://github.com/bubble-sort/bubble-sort).
This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [code of conduct](https://github.com/bubble-sort/bubble-sort/blob/master/CODE_OF_CONDUCT.md).

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the BubbleSort project's codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/bubble-sort/bubble-sort/blob/master/CODE_OF_CONDUCT.md).
